LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XFrameActionListener Interface Referencepublished

has to be provided if an object wants to receive events when several things happen to components within frames of the desktop frame tree. More...

`import"XFrameActionListener.idl";`

Inheritance diagram for XFrameActionListener:

## Public Member Functions
void | frameAction ([in] FrameActionEvent Action)
| is called whenever any action occurs to a component within a frame. More...
Public Member Functions inherited from XEventListener
void | disposing ([in] com::sun::star::lang::EventObject Source)
| gets called when the broadcaster is about to be disposed. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

has to be provided if an object wants to receive events when several things happen to components within frames of the desktop frame tree.

E.g., you can receive events of instantiation/destruction and activation/deactivation of components.

See also
  XFrame::addFrameActionListener()
  XFrame::removeFrameActionListener()

## Member Function Documentation

## ◆ frameAction()

void frameAction | ( | [in] FrameActionEvent | Action | ) |

is called whenever any action occurs to a component within a frame.

Parameters

  Action | describes the detected frame action for which the listener can react

The documentation for this interface was generated from the following file:

- com/sun/star/frame/XFrameActionListener.idl